5.2.0-git
04/24/2014

[#1993] using DOM based drag and drop to reorder ingo rules
Summary using DOM based drag and drop to reorder ingo rules
Queue Ingo
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester liamr (at) umich (dot) edu
Created 05/18/2005 (3263 days ago)
Due
Updated 02/12/2014 (71 days ago)
Assigned
Resolved 02/12/2014 (71 days ago)
Milestone
Patch No

History
02/12/2014 12:36:12 AM Michael Slusarz Comment #7
Assigned to Michael Slusarz
State ⇒ Resolved
Version ⇒ Git master
Reply to this comment
09/08/2005 07:51:08 PM Chuck Hagenbuch Comment #6
New Attachment: sllists0.02.zip Download
Reply to this comment
Here's a potentially even simpler way to do this:

http://www.gregphoto.net/sortable/



I've attached the example zip just in case the site goes away at some point.
05/20/2005 12:33:30 PM liamr (at) umich (dot) edu Comment #5 Reply to this comment
There's a generic javascript library to do this kinda stuff at the url 
I'd mentioned as an example..



http://tool-man.org/examples/sorting.html
05/19/2005 05:22:17 PM Chuck Hagenbuch Comment #3
State ⇒ Accepted
Reply to this comment
Indeed, that would be *very* slick. And the things Kevin mentions too, 
and more. I'd love to work on this stuff but I just don't have the 
time (unless someone hires Zend to do it <g>). Help getting started 
here would be great.
05/19/2005 01:45:50 AM kevin_myer (at) iu13 (dot) org Comment #2 Reply to this comment
Would indeed be keen.  I'd love to see it in the Portal layout code 
too, instead of having to use arrows to move blocks around.  And we 
had a feature request today from a user, who wanted to drag and drop 
events that were rescheduled on her calendar, from one time slot to 
the next.  And with IMP folders.  And adding email addresses to a 
contact list, without having to search for them one by one..



I'm totally ignorant of how to implement DND in a web environment, how 
the use of Javascript and CSS scales.  But the idea is nice :)
05/18/2005 03:41:49 PM liamr (at) umich (dot) edu Comment #1
State ⇒ New
Queue ⇒ Ingo
Summary ⇒ using DOM based drag and drop to reorder ingo rules
Type ⇒ Enhancement
Priority ⇒ 1. Low
Reply to this comment
It'd be cool if you could pick ingo rules up and drag them into new 
positions on the list, rather than using the up and down arrows.



Examples of what I mean can be found at:



http://tool-man.org/examples/sorting.html